org.apache.maven.scm.command.status

## Class StatusScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.status.StatusScmResult

All Implemented Interfaces:
  Serializable

    public class StatusScmResult
    extends ScmResult

Version:
  $Id: StatusScmResult.java 683454 2008-08-07 00:54:11Z bentmann $
Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StatusScmResult(List changedFiles, ScmResult result)`
`StatusScmResult(String commandLine, List changedFiles)`
`StatusScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

Methods
`List` `getChangedFiles()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatusScmResult

    public StatusScmResult(String commandLine,
                   String providerMessage,
                   String commandOutput,
                   boolean success)

#### StatusScmResult

    public StatusScmResult(String commandLine,
                   List changedFiles)

#### StatusScmResult

    public StatusScmResult(List changedFiles,
                   ScmResult result)

### Method Detail

#### getChangedFiles

    public List getChangedFiles()